
import 'enums.dart';

class GenericException  implements Exception {
  final ExceptionType type;
  final String errorMessage;
  const GenericException(
      {required this.type, this.errorMessage = "Unknown Error"});

  @override
  String toString() {
    return errorMessage;
  }

  List<Object?> get props => [type, errorMessage];
}
